# Function to plot the results of benchmark.
# 

function benchplot4(table, c, cpos)
rules 	= [0:20:140];
r	= rules';
pksize	= [32 64 128 256 1472];
p	= pksize';
	   
y   = [];                     	
c32 = [];                   	
c64 = [];                   	
c128 = [];                 	
c256 = [];                 	
c1472 = [];               	
                                                          	
r0   = [];                   	
r20  = [];                  	
r40  = [];                  	
r60  = [];                  	
r80  = [];                  	
r100 = [];                 	
r120 = [];                 	
r140 = [];                 

for n=1:4,
	for i=1:length(pksize),                                   
	        for j=1:length(rules),                            
	                x(i,j)=pksize(i)+(rules(j)*15)+cpos(n,1);,
 	        end                                               
	end                                                       
	                                                          
	y   = [y; x(:,1), c(n,:)'+cpos(n,2)];                        
	t =[];                                                    
	t = [table(((n-1)*length(rules)+1):n*length(rules),:)];   
	                                                          
	for i=1:length(pksize),                                   
	        for j=1:length(rules),                            
	                x(i,j)=x(i,j)+300;,                       
	        end                                               
	end                                                       
	                                                          
	c32 = [c32; x(1,:)', t(:,1)+cpos(n,2)];                   
	c64 = [c64; x(2,:)', t(:,2)+cpos(n,2)];                   
	c128 = [c128; x(3,:)', t(:,3)+cpos(n,2)];                 
	c256 = [c256; x(4,:)', t(:,4)+cpos(n,2)];                 
	c1472 = [c1472; x(5,:)', t(:,5)+cpos(n,2)];               
	                                                          
	r0   = [r0; x(:,1), t(1,:)'+cpos(n,2)];                   
	r20  = [r20; x(:,2), t(2,:)'+cpos(n,2)];                  
	r40  = [r40; x(:,3), t(3,:)'+cpos(n,2)];                  
	r60  = [r60; x(:,4), t(4,:)'+cpos(n,2)];                  
	r80  = [r80; x(:,5), t(5,:)'+cpos(n,2)];                  
	r100 = [r100; x(:,6), t(6,:)'+cpos(n,2)];                 
	r120 = [r120; x(:,7), t(7,:)'+cpos(n,2)];                 
	r140 = [r140; x(:,8), t(8,:)'+cpos(n,2)];                 
end #loop

#set function style linespoints                              
#set data style linespoints                                  	
gplot   y(1:5,:)       t "no PF" w linespoints 1 1,\                	
        r0(1:5,:)      t "0 rules" w linespoints 2 2,\              	
        r20(1:5,:)     t "20 rules" w linespoints 3 3,\             	
        r40(1:5,:)     t "40 rules" w linespoints 4 4,\             	
        r60(1:5,:)     t "60 rules" w linespoints 5 5,\             	
        r80(1:5,:)     t "80 rules" w linespoints 6 6,\             	
        r100(1:5,:)    t "100 rules" w linespoints 7 7,\            	
        r120(1:5,:)    t "120 rules" w linespoints 8 8,\            	
        r140(1:5,:)    t "140 rules" w linespoints 9 9,\            	
        c32(1:8,:) t "32b packet" w lines 1,\                       	
        c64(1:8,:) t "64b packet" w lines 2,\                       	
        c128(1:8,:) t "128b packet" w lines 3,\                     	
        c256(1:8,:) t "256b packet" w lines 4,\                     	
        c1472(1:8,:) t "1472b packet" w lines 5,\
	y(6:10,:)    t "" w linespoints 1 1,\                        	
        r0(6:10,:)   t "" w linespoints 2 2,\                         	
        r20(6:10,:)  t "" w linespoints 3 3,\                        	
        r40(6:10,:)  t "" w linespoints 4 4,\                        	
        r60(6:10,:)  t "" w linespoints 5 5,\                        	
        r80(6:10,:)  t "" w linespoints 6 6,\                        	
        r100(6:10,:) t "" w linespoints 7 7,\                        	
        r120(6:10,:) t "" w linespoints 8 8,\                        	
        r140(6:10,:) t "" w linespoints 9 9,\                        	
        c32(9:16,:) t "" w lines 1,\                                 	
        c64(9:16,:) t "" w lines 2,\                                 	
        c128(9:16,:) t "" w lines 3,\                                	
        c256(9:16,:) t "" w lines 4,\                                	
        c1472(9:16,:) t "" w lines 5,\
	y(11:15,:)    t "" w linespoints 1 1,\                        	
        r0(11:15,:)   t "" w linespoints 2 2,\                      	
        r20(11:15,:)  t "" w linespoints 3 3,\                        	
        r40(11:15,:)  t "" w linespoints 4 4,\                        	
        r60(11:15,:)  t "" w linespoints 5 5,\                        	
        r80(11:15,:)  t "" w linespoints 6 6,\                        	
        r100(11:15,:) t "" w linespoints 7 7,\                        	
        r120(11:15,:) t "" w linespoints 8 8,\                        	
        r140(11:15,:) t "" w linespoints 9 9,\                        	
        c32(17:24,:) t "" w lines 1,\                                 	
        c64(17:24,:) t "" w lines 2,\                                 	
        c128(17:24,:) t "" w lines 3,\                                	
        c256(17:24,:) t "" w lines 4,\                                	
        c1472(17:24,:) t "" w lines 5,\
	y(16:20,:)    t "" w linespoints 1 1,\                        	
        r0(16:20,:)   t "" w linespoints 2 2,\                      	
        r20(16:20,:)  t "" w linespoints 3 3,\                        	
        r40(16:20,:)  t "" w linespoints 4 4,\                        	
        r60(16:20,:)  t "" w linespoints 5 5,\                        	
        r80(16:20,:)  t "" w linespoints 6 6,\                        	
        r100(16:20,:) t "" w linespoints 7 7,\                        	
        r120(16:20,:) t "" w linespoints 8 8,\                        	
        r140(16:20,:) t "" w linespoints 9 9,\                        	
        c32(25:32,:) t "" w lines 1,\                                 	
        c64(25:32,:) t "" w lines 2,\                                 	
        c128(25:32,:) t "" w lines 3,\                                	
        c256(25:32,:) t "" w lines 4,\                                	
        c1472(25:32,:) t "" w lines 5                                 	
endfunction


